## GODataCVector

GODataCVector

## Functions

gboolean | go_data_vector_decreasing ()
int | go_data_vector_get_len ()
PangoAttrList * | go_data_vector_get_markup ()
void | go_data_vector_get_minmax ()
char * | go_data_vector_get_str ()
double | go_data_vector_get_value ()
double * | go_data_vector_get_values ()
gboolean | go_data_vector_increasing ()
gboolean | go_data_vector_vary_uniformly ()

## Types and Values

| GODataVector

## Object Hierarchy

        GObject
        ╰── GOData
            ╰── GODataVector
                ├── GODataVectorStr
                ╰── GODataVectorVal

## Description

## Functions

### go_data_vector_decreasing ()

    gboolean
    go_data_vector_decreasing (GODataVector *vec);

### go_data_vector_get_len ()

    int
    go_data_vector_get_len (GODataVector *vec);

### go_data_vector_get_markup ()

    PangoAttrList *
    go_data_vector_get_markup (GODataVector *vec,
                               unsigned  i);

### go_data_vector_get_minmax ()

    void
    go_data_vector_get_minmax (GODataVector *vec,
                               double *min,
                               double *max);

### go_data_vector_get_str ()

    char *
    go_data_vector_get_str (GODataVector *vec,
                            unsigned  i);

### go_data_vector_get_value ()

    double
    go_data_vector_get_value (GODataVector *vec,
                              unsigned  i);

### go_data_vector_get_values ()

    double *
    go_data_vector_get_values (GODataVector *vec);

### go_data_vector_increasing ()

    gboolean
    go_data_vector_increasing (GODataVector *vec);

### go_data_vector_vary_uniformly ()

    gboolean
    go_data_vector_vary_uniformly (GODataVector *vec);

## Types and Values

### GODataVector

    typedef struct _GODataVector GODataVector;